type iconProps = {
  variant?: "chevronDown" | "chevronRight" | "externalLink";
};

export default function Icon({
  variant,
}: iconProps) {
    return(
      <div className="ml-[5px] z-[10]">
        {variant === "chevronDown" && (
          <svg
            xmlns="http://www.w3.org/2000/svg"
            className="w-5 h-5 ml-1 rotate-90 fill-current"
            height="20"
            width="20"
          >
            <path d="M7.833 15 6.583 13.75 10.333 10 6.583 6.25 7.833 5 12.833 10Z"></path>
          </svg>
        )}
        {variant === "chevronRight" && (
          <svg
            xmlns="http://www.w3.org/2000/svg"
            className="w-5 h-5 ml-1 fill-current"
            height="20"
            width="20"
          >
            <path d="M7.833 15 6.583 13.75 10.333 10 6.583 6.25 7.833 5 12.833 10Z"></path>
          </svg>
        )}
        {variant === "externalLink" && (
          <svg
            xmlns="http://www.w3.org/2000/svg"
            width="700pt"
            height="700pt"
            version="1.1"
            viewBox="0 0 700 700"
            className="max-w-[30px] max-h-[30px]"
          >
            <path d="m490 252.46c-6.1875 0-12.125 2.4609-16.5 6.8359s-6.832 10.312-6.832 16.5v167.53c0 6.1914-2.4609 12.125-6.8359 16.5s-10.309 6.8359-16.5 6.8359h-256.66c-6.1914 0-12.125-2.4609-16.5-6.8359s-6.8359-10.309-6.8359-16.5v-256.66c0-6.1914 2.4609-12.125 6.8359-16.5s10.309-6.8359 16.5-6.8359h167.54-0.003906c8.3359 0 16.039-4.4453 20.207-11.664s4.168-16.117 0-23.336-11.871-11.664-20.207-11.664h-167.53c-18.566 0-36.371 7.375-49.5 20.5-13.125 13.129-20.5 30.934-20.5 49.5v256.66c0 18.566 7.375 36.371 20.5 49.5 13.129 13.125 30.934 20.5 49.5 20.5h256.66c18.566 0 36.371-7.375 49.5-20.5 13.125-13.129 20.5-30.934 20.5-49.5v-167.53c0-6.1875-2.457-12.125-6.832-16.5s-10.312-6.8359-16.5-6.8359zm91.465-191.33c-2.3672-5.6992-6.8984-10.23-12.598-12.598-2.8047-1.1992-5.8164-1.832-8.8672-1.8672h-140c-8.3359 0-16.039 4.4453-20.207 11.664s-4.168 16.117 0 23.336 11.871 11.664 20.207 11.664h83.766l-240.33 240.1c-4.418 4.3828-6.9023 10.344-6.9023 16.566s2.4844 12.184 6.9023 16.566c4.3828 4.418 10.344 6.9023 16.566 6.9023s12.184-2.4844 16.566-6.9023l240.1-240.33v83.766c0 8.3359 4.4453 16.039 11.664 20.207s16.117 4.168 23.336 0 11.664-11.871 11.664-20.207v-140c-0.035156-3.0508-0.66797-6.0625-1.8672-8.8672z" />
          </svg>
        )}
      </div>
  );

}
